Bug 468174 - (CVE-2008-4684) CVE-2008-4684 wireshark: DoS (app crash) via certain series of packets by enabling the (1) PRP or (2) MATE post dissector
CVE-2008-4684 wireshark: DoS (app crash) via certain series of packets by ena...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
reported=20081022,public=20080516,sou...
: Security
Depends On: 486548 486549 486550 486551 486552 833990
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 09:02 EDT by Jan Lieskovsky
Modified: 2016-03-01 04:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 02:37:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-10-23 09:02:41 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4684 to
the following vulnerability:

packet-frame in Wireshark 0.99.2 through 1.0.3 does not properly
handle exceptions thrown by post dissectors, which allows remote
attackers to cause a denial of service (application crash) via a
certain series of packets, as demonstrated by enabling the (1) PRP or
(2) MATE post dissector.

Affected Wireshark versions: 0.99.2 through 1.0.3

References:

http://www.wireshark.org/security/wnpa-sec-2008-06.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2549
http://www.securityfocus.com/bid/31838
http://www.frsirt.com/english/advisories/2008/2872
http://securitytracker.com/id?1021069
http://secunia.com/advisories/32355
Comment 4 Red Hat Product Security 2009-03-05 02:37:44 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2009-0313.html

Note You need to log in before you can comment on or make changes to this bug.